Subject: Re: [PATCH 00/30] First batch of W=1 fixes for IIO

From: Jonathan Cameron <[email-masked]>
Date: Sat, 18 Jul 2020 15:42:04 +0100

On Thu, 16 Jul 2020 14:58:58 +0100
Lee Jones <[email-masked]> wrote:

> This set is part of a larger effort attempting to clean-up W=1
> kernel builds, which are currently overwhelmingly riddled with
> niggly little warnings.
Thanks for these.

One general comment is I'd have appreciated a spot of grouping to bring
a particular group of identical problems together in the series.
Example being the @lock(:) ones in this set.

It doesn't matter that much though. I'm just being fussy :)

Jonathan

> 
> Lee Jones (30):
>   iio: adc: ad_sigma_delta: Remove unused variable 'ret'
>   iio: accel: bma220_spi: Do not define 'struct acpi_device_id' when
>     !CONFIG_ACPI
>   iio: common: ms_sensors: ms_sensors_i2c: Fix misspelling of parameter
>     'client'
>   iio: adc: ad7298: Demote obvious misuse of kerneldoc to standard
>     comment blocks
>   iio: chemical: sgp30: Add description for sgp_read_cmd()'s
>     'duration_us'
>   iio: adc: ad7923: Demote obvious misuse of kerneldoc to standard
>     comment blocks
>   iio: dac: ad5360: Fix kerneldoc attribute formatting for 'lock'
>   iio: dac: ad5380: Fix kerneldoc attribute formatting for 'lock'
>   iio: dummy: iio_simple_dummy: Demote unworthy kerneldocs and correct
>     misspelling
>   iio: dummy: iio_simple_dummy: Add newline after function-end
>   iio: dac: ad5421: Fix kerneldoc attribute formatting for 'lock'
>   iio: gyro: adis16080: Fix formatting issue and compiler attribute
>     ordering
>   iio: dummy: iio_simple_dummy_events: Demote file header and supply
>     descriptions for val2 params
>   iio: dac: ad5064: Value returned by ad5064_vref_name may not be 'const
>     * const'
>   iio: dummy: iio_dummy_evgen: Demote file header and supply description
>     for 'irq_sim_domain'
>   iio: adc: ad7887: Demote seemingly unintentional kerneldoc header
>   iio: adc: ad7949: Fix misspelling issue and compiler attribute
>     ordering
>   iio: dummy: iio_simple_dummy_buffer: Demote file header and correct
>     misspelling
>   iio: dac: ad5064: Fix a few kerneldoc misdemeanours
>   iio: dac: ad5446: Complete 'struct ad5446_state' doc and demote
>     unworthy kerneldocs
>   iio: dac: ad5449: Fix kerneldoc attribute formatting for 'lock'
>   iio: dac: ad5755: Fix kerneldoc attribute formatting for 'lock'
>   iio: dac: ad5758: Move and fix-up kerneldoc header and demote unworthy
>     kerneldoc
>   iio: dac: ad5761: Fix kerneldoc attribute formatting for 'lock'
>   iio: dac: ad5764: Fix misdocumenting and formatting error
>   iio: dac: ad5791: Complete 'struct ad5791_chip_info' documentation
>   iio: light: cm32181: Fix formatting and docrot issues in
>     cm32181_acpi_get_cpm()
>   iio: magnetometer: mmc35240: Fix function header formatting
>   iio: imu: kmx61: Fix formatting in kerneldoc function headers
>   iio: dac: ad7303: Complete 'struct ad7303_state' doc and reorder
>     compiler attribute
> 
>  drivers/iio/accel/bma220_spi.c                 |  2 ++
>  drivers/iio/adc/ad7298.c                       |  8 ++++----
>  drivers/iio/adc/ad7887.c                       |  2 +-
>  drivers/iio/adc/ad7923.c                       |  8 ++++----
>  drivers/iio/adc/ad7949.c                       |  4 ++--
>  drivers/iio/adc/ad_sigma_delta.c               |  7 ++-----
>  drivers/iio/chemical/sgp30.c                   |  1 +
>  drivers/iio/common/ms_sensors/ms_sensors_i2c.c |  2 +-
>  drivers/iio/dac/ad5064.c                       | 10 +++++-----
>  drivers/iio/dac/ad5360.c                       |  2 +-
>  drivers/iio/dac/ad5380.c                       |  2 +-
>  drivers/iio/dac/ad5421.c                       |  2 +-
>  drivers/iio/dac/ad5446.c                       | 11 +++++++----
>  drivers/iio/dac/ad5449.c                       |  2 +-
>  drivers/iio/dac/ad5755.c                       |  2 +-
>  drivers/iio/dac/ad5758.c                       | 18 +++++++++---------
>  drivers/iio/dac/ad5761.c                       |  2 +-
>  drivers/iio/dac/ad5764.c                       |  5 ++---
>  drivers/iio/dac/ad5791.c                       | 10 ++++------
>  drivers/iio/dac/ad7303.c                       |  5 ++++-
>  drivers/iio/dummy/iio_dummy_evgen.c            |  4 +++-
>  drivers/iio/dummy/iio_simple_dummy.c           |  7 ++++---
>  drivers/iio/dummy/iio_simple_dummy_buffer.c    |  4 ++--
>  drivers/iio/dummy/iio_simple_dummy_events.c    |  4 +++-
>  drivers/iio/gyro/adis16080.c                   |  4 ++--
>  drivers/iio/imu/kmx61.c                        | 14 +++++++-------
>  drivers/iio/light/cm32181.c                    |  8 ++++----
>  drivers/iio/magnetometer/mmc35240.c            |  4 ++--
>  28 files changed, 81 insertions(+), 73 deletions(-)
> 

_______________________________________________
linux-arm-kernel mailing list
[email-masked]
http://lists.infradead.org/mailman/listinfo/linux-arm-kernel